import 'package:auto_route/auto_route.dart';
import 'package:eitc_erm_dental_flutter/app_router.gr.dart';

///路由配置
@AutoRouterConfig()
class AppRouter extends RootStackRouter {
  AppRouter({super.navigatorKey});

  @override
  List<AutoRoute> get routes => [
        AutoRoute(page: SplashRoute.page, initial: true),
        AutoRoute(page: MainRoute.page),
        AutoRoute(page: HistoryRoute.page),
        AutoRoute(page: FaqsRoute.page),
        AutoRoute(page: PhotoViewRoute.page),
        AutoRoute(page: VideoPlayerRoute.page),
        AutoRoute(page: DelayShotSettingsRoute.page),
        AutoRoute(page: UploadSelectClinicRoute.page),
        AutoRoute(page: UploadRoute.page),
        AutoRoute(page: VideoViewRoute.page),
        AutoRoute(page: SettingsRoute.page),
        AutoRoute(page: WebviewRoute.page),
        AutoRoute(page: LoginRoute.page),
        AutoRoute(page: PatientListRoute.page),
        AutoRoute(page: AddPatientRoute.page),
        AutoRoute(page: PhotoPreviewRoute.page),
        AutoRoute(page: VideoPreviewRoute.page),
        AutoRoute(page: SelectHistoryRoute.page),
      ];
}
